%global commit 3f77352f4c31c8cfc0779d7ca816b5630f457db8
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global altname editorconfig-gedit

Name:           gedit-editorconfig
Version:        0.5.2
Release:        1%{?dist}
Summary:        EditorConfig plugin for Gedit

Group:          Applications/Editors
License:        BSD
URL:            http://editorconfig.org/
Source0:        https://github.com/editorconfig/%{altname}/archive/%{commit}/%{altname}-%{version}-%{shortcommit}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python-devel

Requires:       editorconfig-core-python
Requires:       gedit >= 3


%description
EditorConfig helps developers define and maintain consistent coding styles
between different editors and IDEs. The EditorConfig project consists of a file
format for defining coding styles and a collection of text editor plugins that
enable editors to read the file format and adhere to defined styles.
EditorConfig files are easily readable and they work nicely with version
control systems.


%prep
%setup -qn %{altname}-%{commit}


%build


%install
rm -rf %{buildroot}
install -d %{buildroot}%{_libdir}/gedit/plugins/editorconfig_plugin/
install editorconfig_plugin/*.py %{buildroot}%{_libdir}/gedit/plugins/editorconfig_plugin/
install editorconfig.plugin %{buildroot}%{_libdir}/gedit/plugins/
install editorconfig_gedit3.py %{buildroot}%{_libdir}/gedit/plugins/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{_libdir}/gedit/plugins/editorconfig_gedit3.py
%{_libdir}/gedit/plugins/editorconfig_gedit3.pyc
%{_libdir}/gedit/plugins/editorconfig_gedit3.pyo
%{_libdir}/gedit/plugins/editorconfig.plugin
%{_libdir}/gedit/plugins/editorconfig_plugin/*.py
%{_libdir}/gedit/plugins/editorconfig_plugin/*.pyc
%{_libdir}/gedit/plugins/editorconfig_plugin/*.pyo


%changelog
* Mon May 20 2013 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.5.2-1
- Initial packaging
